SDL_RaiseWindow(3)

NAME
SDL_RaiseWindow - Request that a window be raised above other windows and gain the input focus.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_RaiseWindow(SDL_Window *window);

DESCRIPTION
The result of this request is subject to desktop window manager policy, particularly if raising the requested window would result in stealing focus from another application. If the window is successfully raised and gains input focus, an SDL_EVENT_WINDOW_FOCUS_GAINED event will be emitted, and the window will have the SDL_WINDOW_INPUT_FOCUS flag set.

FUNCTION PARAMETERS

window
    the window to raise.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.